//
//  ReportConfirmationView.swift
//  AlloVoisinsSwiftUI
//
//  Created by Victor on 21/05/2025.
//

import SwiftUI

struct ReportConfirmationView: View {
    var body: some View {
        VStack(spacing: 16) {
            VStack {
                SQIcon(.check, customSize: 64, type: .solid, color: .sqSemanticGreen)
                SQText("Votre signalement a bien été pris en compte.")
                    .sqSize(18)
                    .sqFont(.bold)
            }

            VStack(alignment: .leading, spacing: 16) {
                SQText("Merci de participer à améliorer la communauté. Nous nous efforçons de traiter votre signalement dans les plus brefs délais et nous vous informerons de la suite qui sera donnée.")
                    .sqFont(.semiBold)
                VStack(alignment: .leading, spacing: 4) {
                    SQText("Souhaitez-vous bloquer cet utilisateur ?")
                        .sqFont(.semiBold)
                    HStack {
                        Toggle(isOn: .constant(true)) {
                            SQText("En bloquant cet utilisateur, il ne pourra plus vous contacter.")
                        }
                    }
                }
            }
            Spacer()
            SQButton("Confirmer") {

            }
        }
        .padding()
        .sqNavigationBar(title: "Signaler un profil", style: .modal)
    }
}

#Preview {
    NavigationView {
        ReportConfirmationView()
    }
}
